Bug 681844 - ISE when going to a list of regular entitlement consumers for given entitlement family
ISE when going to a list of regular entitlement consumers for given entitleme...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
540
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2011-03-03 07:17 EST by Jan Hutař
Modified: 2012-03-08 04:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-04 08:51:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2011-03-03 07:17:15 EST
Description of problem:
I have org with 2 regular and 10 flex RHEL base entitlement. I have 2 regular systems registered and when I click on "2" in "Software Channel Entitlements" overview page, I'm getting ISE on network/systems/system_list/in_channel_family.pxt?cfam_id=1082.


Version-Release number of selected component (if applicable):
satellite-schema-5.4.0.9-1.el5sat


How reproducible:
For some reason, this appeared only 2-3 times, then after refresh correct list appeared.


Steps to Reproduce:
1. Register some clients (2 in my case) to RHEL channel
2. Overview -> Subscription Management -> Software Channel Entitlements=
     Red Hat Enterprise Linux (core server)
       Regular Consumed = 2
3. Click on that number "2"
   .../network/systems/system_list/in_channel_family.pxt?cfam_id=1082


Actual results:
ISE, 500


Expected results:
Should show these non-flex systems


Additional info:
From /var/log/httpd/error_log:
[Thu Mar 03 05:05:57 2011] [notice] Apache configured -- resuming normal operations
[Thu Mar 03 05:06:05 2011] [error] (111)Connection refused: proxy: AJP: attempt to connect to 127.0.0.1:8009 (*) failed
[Thu Mar 03 05:06:05 2011] [error] proxy: AJP: failed to make connection to backend: localhost
[Thu Mar 03 05:06:09 2011] [error] (111)Connection refused: proxy: AJP: attempt to connect to 127.0.0.1:8009 (*) failed
[Thu Mar 03 05:06:09 2011] [error] proxy: AJP: failed to make connection to backend: localhost
RHN 4218 2011/03/03 05:46:05 -04:00: ('Checksum check failed: 123be1af77dd03e38a8938cb5b2971b0 != 4f16d43be5f2b5dadfae536a323c57af', "fields = ['system_id', 'os_release', 'operating_system', 'architecture', 'username', 'type']", "attrs = {'username': 'admin', 'operating_system': 'redhat-release', 'description': 'Initial Registration Parameters:\\nOS: redhat-release\\nRelease: 5Server\\nCPU Arch: i686-redhat-linux', 'profile_name': 'msuchy-proxy.lab.eng.brq.redhat.com', 'system_id': 'ID-1000010000', 'architecture': 'i686-redhat-linux', 'os_release': '5Server', 'type': 'REAL'}")
RHN 4660 2011/03/03 06:46:04 -04:00: ('Checksum check failed: 123be1af77dd03e38a8938cb5b2971b0 != 4f16d43be5f2b5dadfae536a323c57af', "fields = ['system_id', 'os_release', 'operating_system', 'architecture', 'username', 'type']", "attrs = {'username': 'admin', 'operating_system': 'redhat-release', 'description': 'Initial Registration Parameters:\\nOS: redhat-release\\nRelease: 5Server\\nCPU Arch: i686-redhat-linux', 'profile_name': 'msuchy-proxy.lab.eng.brq.redhat.com', 'system_id': 'ID-1000010000', 'architecture': 'i686-redhat-linux', 'os_release': '5Server', 'type': 'REAL'}")
[Thu Mar 03 07:00:25 2011] [error] Access to formvar 'cfam_id' not allowed: formvar not cleansed - PXT::Request, /usr/lib/perl5/vendor_perl/5.8.8/PXT/Request.pm, 350 at /usr/lib/perl5/vendor_perl/5.8.8/PXT/Request.pm line 310.
[Thu Mar 03 07:00:25 2011] [error] Recipients (root@localhost, , ) failed validate_allowed_recipients check, mail not sent.
[Thu Mar 03 07:00:25 2011] [error] Traceback sent to root@localhost at /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm line 596.
[Thu Mar 03 07:06:17 2011] [error] Access to formvar 'cfam_id' not allowed: formvar not cleansed - PXT::Request, /usr/lib/perl5/vendor_perl/5.8.8/PXT/Request.pm, 350 at /usr/lib/perl5/vendor_perl/5.8.8/PXT/Request.pm line 310.
[Thu Mar 03 07:06:17 2011] [error] Recipients (root@localhost, , ) failed validate_allowed_recipients check, mail not sent.
[Thu Mar 03 07:06:17 2011] [error] Traceback sent to root@localhost at /usr/lib/perl5/vendor_perl/5.8.8/PXT/ApacheHandler.pm line 596.
Comment 2 Jan Pazdziora 2011-03-03 10:18:21 EST
Is this an upgraded Satellite?
Comment 3 Jan Hutař 2011-03-04 08:34:27 EST
Yes, it is a satellite 5.4.0 with all erratas + upcomming 2011:10432.

LI have also realized that satellite-sync were running in parallel to the testing.
Comment 4 Jan Pazdziora 2011-03-04 08:49:33 EST
Flipping your comment public.
Comment 5 Jan Pazdziora 2011-03-04 08:51:11 EST
Seeing the ORA-04068 in the traceback, I assume you've applied the errata and run spacewalk-schema-upgrade *while* the Satellite was still running.
Comment 6 Jan Hutař 2011-03-07 21:12:56 EST
Oh, you are right. Thanks.

Note You need to log in before you can comment on or make changes to this bug.